hledger-1.31: Command-line interface for the hledger accounting system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Cli.Anon

Description

Instances for anonymizing sensitive data in various types.

Note that there is no clear way to anonymize numbers.

Synopsis

- class Anon a where
  - anon :: a -> a
- anonAccount :: AccountName -> AccountName

# Documentation

class Anon a where #

Methods

anon :: a -> a #

Consistent converter to structure with sensitive data anonymized

#### Instances

Instances details

Anon Journal # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Journal -> Journal #
Anon Posting # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Posting -> Posting #
Anon Transaction # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Transaction -> Transaction #
Anon Text # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Text -> Text #

anonAccount :: AccountName -> AccountName #

Anonymize account name preserving hierarchy